core

## Class CLI

- java.lang.Object
- - core.CLI

-     public class CLI
      extends java.lang.Object

  Manages the app, when started from CLI. Distinguishes between GUI, interactive CLI and machine CLI.
  Author:
    David Hudec (dwdization@gmail.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CLI.CLIPeriodicTelegram` Frame object extended with periodicity properties and scheduler indices.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static java.lang.String` | `tokenGUI`
    `private static java.lang.String` | `tokenHelp`
    `private static java.lang.String` | `tokenInteractive`
    `private static java.lang.String` | `tokenMachine`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CLI()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)` Starts either GUI, interactive CLI, machine CLI, or prints help if none was specified.
    `private static void` | `printUsage()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tokenGUI

          private static final java.lang.String tokenGUI

      See Also:
        Constant Field Values

    - #### tokenHelp

          private static final java.lang.String tokenHelp

      See Also:
        Constant Field Values

    - #### tokenInteractive

          private static final java.lang.String tokenInteractive

      See Also:
        Constant Field Values

    - #### tokenMachine

          private static final java.lang.String tokenMachine

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CLI

          public CLI()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      Starts either GUI, interactive CLI, machine CLI, or prints help if none was specified.
      Parameters:
        `args` - the command line arguments

    - #### printUsage

          private static void printUsage()